# Uses of Class
org.apache.sysds.runtime.data.IndexedTensorBlock

Packages that use IndexedTensorBlock
Package
Description
org.apache.sysds.runtime.data
org.apache.sysds.runtime.instructions.spark.utils

## Uses of IndexedTensorBlock in org.apache.sysds.runtime.data

Methods in org.apache.sysds.runtime.data that return types with arguments of type IndexedTensorBlock
Modifier and Type
Method
Description
`static List<IndexedTensorBlock>`
LibTensorReorg.`reshape(IndexedTensorBlock in, DataCharacteristics mcIn, DataCharacteristics mcOut, boolean rowwise, boolean outputEmptyBlocks)`
MR/SPARK reshape interface - for reshape we cannot view blocks independently, and hence, there are different CP and MR interfaces.
Methods in org.apache.sysds.runtime.data with parameters of type IndexedTensorBlock
Modifier and Type
Method
Description
`static List<IndexedTensorBlock>`
LibTensorReorg.`reshape(IndexedTensorBlock in, DataCharacteristics mcIn, DataCharacteristics mcOut, boolean rowwise, boolean outputEmptyBlocks)`
MR/SPARK reshape interface - for reshape we cannot view blocks independently, and hence, there are different CP and MR interfaces.
Constructors in org.apache.sysds.runtime.data with parameters of type IndexedTensorBlock
Modifier
Constructor
Description
``
`IndexedTensorBlock(IndexedTensorBlock that)`

## Uses of IndexedTensorBlock in org.apache.sysds.runtime.instructions.spark.utils

Methods in org.apache.sysds.runtime.instructions.spark.utils that return IndexedTensorBlock
Modifier and Type
Method
Description
`static IndexedTensorBlock`
SparkUtils.`toIndexedTensorBlock(TensorIndexes ix, TensorBlock mb)`
`static IndexedTensorBlock`
SparkUtils.`toIndexedTensorBlock(scala.Tuple2<TensorIndexes,TensorBlock> in)`